### Method

# GVnc Connection open_addr

#### Declaration [src]

    gboolean
    vnc_connection_open_addr (
      VncConnection* conn,
      GSocketAddress* addr,
      const char* hostname
    )

#### Description [src]

Open a socket connection to server identified by `addr`. `addr` may refer to either a TCP address (IPv4/6) or a UNIX socket address. The `hostname` provided should reflect the name of the host that the `addr` provides a connection to, if it is not already available in `addr`. For example, if `addr` points to a proxy server, then `hostname` can be used to provide the name of the final endpoint. This will be used by some authentication schemes, for example x509 certificate validation against `hostname`.

#### Parameters

`addr`

  Type: `GSocketAddress`

  The socket address.

  The data is owned by the caller of the method.

`hostname`

  Type: `const char*`

  The hostname.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if a connection was opened, FALSE if already open.